Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001187 [1003.1(2016)/Issue7+TC2] System Interfaces Editorial Enhancement Request 2018-02-07 00:48 2019-11-08 11:40
Reporter nsz View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Applied  
Name Szabolcs Nagy
Organization musl libc
User Reference
Section sigaltstack
Page Number 1959
Line Number 63157-63158
Interp Status ---
Final Accepted Text See Note: 0004274.
Summary 0001187: sigaltstack ss->ss_flags cannot contain extension flags
Description The way sigaltstack is specified currently, the caller can only set
ss->ss_flags to SS_DISABLE or 0, other values shall fail with EINVAL.

This makes extensions, such as SS_AUTODISARM on linux, non-conforming
http://man7.org/linux/man-pages/man2/sigaltstack.2.html [^]
even though posix usually allows such extension flags with implementation
defined behaviour so it is easy to add new features.
Desired Action allow other flags than SS_DISABLE, e.g. change

The sigaltstack() function shall fail if:

    [EINVAL]
        The ss argument is not a null pointer, and the ss_flags member pointed to by ss contains flags other than SS_DISABLE.

to

The sigaltstack() function shall fail if:

    [EINVAL]
        The ss argument is not a null pointer, and the ss_flags member pointed to by ss has SS_ONSTACK or invalid flags set.

or just change "shall" to "may".
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004274)
Don Cragun (manager)
2019-03-04 16:26
edited on: 2019-03-04 23:21

At page 1959 lines 63157-63158 Change:
    The sigaltstack() function shall fail if:

    [EINVAL]
        The ss argument is not a null pointer, and the ss_flags member pointed to by ss contains flags other than SS_DISABLE.

to

The sigaltstack() function shall fail if:

    [EINVAL]
        The ss argument is not a null pointer, and the ss_flags member pointed to by ss has SS_ONSTACK or invalid flags set.


- Issue History
Date Modified Username Field Change
2018-02-07 00:48 nsz New Issue
2018-02-07 00:48 nsz Name => Szabolcs Nagy
2018-02-07 00:48 nsz Organization => musl libc
2018-02-07 00:48 nsz Section => sigaltstack
2019-03-04 16:26 Don Cragun Interp Status => ---
2019-03-04 16:26 Don Cragun Note Added: 0004274
2019-03-04 16:26 Don Cragun Status New => Resolved
2019-03-04 16:26 Don Cragun Resolution Open => Accepted As Marked
2019-03-04 16:27 Don Cragun Final Accepted Text => See Note: 0004274.
2019-03-04 16:27 Don Cragun Tag Attached: tc3-2008
2019-03-04 16:29 Don Cragun Page Number => 1959
2019-03-04 16:29 Don Cragun Line Number => 63157-63158
2019-03-04 23:21 Don Cragun Note Edited: 0004274
2019-11-08 11:40 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker